commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Phil Steitz" <p...@steitz.com>
Subject [lang] JUnit version, broken tests
Date Sat, 13 Dec 2003 20:45:48 GMT
Some tests (/builder/ShortPrefixToStringStyleTest, ArrayUtils.Test) have 
been been added/modified to require Junit 3.8.  I have no problem with 
this; but we need to modify the dependency in project.xml for the maven 
build to work in this case.  Any objections to this change?

I am seeing the following failure in the builder tests:

Testcase: testNestedBroken took 0.006 sec
	FAILED
expected:<0> but was:<3>
junit.framework.AssertionFailedError: expected:<0> but was:<3>
	at org.apache.commons.lang.enum.EnumTest.testNestedBroken(EnumTest.java:432)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

I am using Sun Linux JDK 1.4.2

Phil


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message